# FormSlide

This class extends the Slide class and models a form slide.

```javascript
/**
 * Returns the slide Id.
 *
 * @returns {integer}
 */
getId()

/**
 * Returns 'Form'
 *
 * @returns {string}
 */
getType()

/**
 * Returns a list with this slide fields objects.
 *
 * @returns {[]}
 */
getFields()

/**
 * Validates all fields of the form are valid.
 *
 * @returns {boolean}
 */
validate()

/**
 * Return true if we can skip the current slide.
 * For example, a slide with mandatory answers can't be skipped.
 *
 * @returns {boolean}
 */
canSkip()

/**
 * Return true if we can go back to the previous slide.
 * For example, we can't go back before the first slide.
 *
 * @returns {boolean}
 */
canBack()

/**
 * Return true if we can go to the next slide.
 *
 * @returns {boolean}
 */
canNext()

/**
 * Returns true if this slide has help.
 *
 * @returns {boolean}
 */
hasHelp()

/**
 * Returns the defined help.
 *
 * @returns {string}
 */
getHelp()

/**
 * Returns true if this slide has a legal URL defined.
 *
 * @returns {string}
 */
hasLegal()

/**
 * Returns this slide legal URL and text.
 *
 * @returns {{text: string, url: string}}
 */
getLegal()

/**
 * Returns the next label title.
 *
 * @returns {string}
 */
getNextLabel()

/**
 * Returns the skip button label.
 *
 * @returns {string}
 */
getSkipLabel()

/**
 * Goes next to the next slide.
 * The validate method should be called before otherwise a validation exception will be thrown if there are invalid fields.
 */
next()

/**
 * Goes back.
 */
back()

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.pickzen.com/developers/sdk/documentation/formslide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
